import { AxiosError } from 'axios';

export enum API_ROUTE {
  USER = 'user',
  REGIONS = 'regions',
  SERIES = 'series',
  RANKING = 'ranking'
}

export enum API_ENDPOINT {
  LOGIN = 'login',
  REGISTER = 'join',
  RESET_PASSWORD = 'recover-password',
  GET_REGIONS_WITH_FLAGS = 'get-regions-with-flags',
  GET_REGIONS = 'get-regions',
  JOIN_TEST = 'pre-join-test',
  GET_SETTINGS_APP = 'get-settings-app',
  SET_SETTINGS_APP = 'set-settings-app',
  SERIES = 'get-for-regions',
  PROFILE_INFO = 'profile-info',
  GET_LIMITED_RANKING = 'get-app-limited',
  GET_FULL_RANKING = 'get-app-full',
  GET_LPI = 'get-app-lpi',
  GET_IN_HISTORY = 'get-app-in-history',
  GET_IN_MEMORIAM = 'get-app-in-memoriam'
}

export enum API {
  LOGIN = `${API_ROUTE.USER}/${API_ENDPOINT.LOGIN}`,
  REGISTER = `${API_ROUTE.USER}/${API_ENDPOINT.REGISTER}`,
  RESET_PASSWORD = `${API_ROUTE.USER}/${API_ENDPOINT.RESET_PASSWORD}`,
  GET_REGIONS_WITH_FLAGS = `${API_ROUTE.REGIONS}/${API_ENDPOINT.GET_REGIONS_WITH_FLAGS}`,
  JOIN_TEST = `${API_ROUTE.USER}/${API_ENDPOINT.JOIN_TEST}`,
  GET_USER_SETTINGS_DATA = `${API_ROUTE.USER}/${API_ENDPOINT.GET_SETTINGS_APP}`,
  SET_USER_SETTINGS_DATA = `${API_ROUTE.USER}/${API_ENDPOINT.SET_SETTINGS_APP}`,
  SERIES = `${API_ROUTE.SERIES}/${API_ENDPOINT.SERIES}`,
  PROFILE_INFO = `${API_ROUTE.USER}/${API_ENDPOINT.PROFILE_INFO}`,
  GET_LIMITED_RANKING = `${API_ROUTE.RANKING}/${API_ENDPOINT.GET_LIMITED_RANKING}`,
  GET_FULL_RANKING = `${API_ROUTE.RANKING}/${API_ENDPOINT.GET_FULL_RANKING}`,
  GET_LPI = `${API_ROUTE.RANKING}/${API_ENDPOINT.GET_LPI}`,
  GET_IN_HISTORY = `${API_ROUTE.RANKING}/${API_ENDPOINT.GET_IN_HISTORY}`,
  GET_IN_MEMORIAM = `${API_ROUTE.RANKING}/${API_ENDPOINT.GET_IN_MEMORIAM}`
}

export type BaseAxiosError = AxiosError;
